curl --request GET \
--url https://sandbox.cashfree.com/pg/orders/{order_id}/extended \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/pg/orders/{order_id}/extended"
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.cashfree.com/pg/orders/{order_id}/extended', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cf_order_id": "2149460581",
"order_id": "order_3242Tq4Edj9CC5RDcMeobmJOWOBJij",
"order_amount": 22,
"order_currency": "INR",
"created_at": "2023-08-11T18:02:46+05:30",
"charges": {
"shipping_charges": 5,
"cod_handling_charges": 10
},
"customer_details": {
"customer_id": "409128494",
"customer_name": "Aditya Keshri",
"customer_email": "pmlpayme@ntsas.com",
"customer_phone": "9876543210",
"customer_uid": "54deabb4-ba45-4a60-9e6a-9c016fe7ab10"
},
"shipping_address": {
"name": "Saurav Singh",
"address_line_one": "MK Building",
"address_line_two": "Test Address",
"country": "India",
"country_code": "IN",
"state": "Karnataka",
"state_code": "KA",
"city": "Bangalore",
"pin_code": "560034",
"phone": "+91 1118911189",
"email": "test@cashfree.com"
},
"billing_address": {
"name": "Saurav Singh",
"address_line_one": "MK Building",
"address_line_two": "Test Address",
"country": "India",
"country_code": "IN",
"state": "Karnataka",
"state_code": "KA",
"city": "Bangalore",
"pin_code": "560034",
"phone": "+91 1118911189",
"email": "test@cashfree.com"
},
"cart": {
"name": "test",
"items": [
{
"item_id": "26",
"item_name": "Sample Product",
"item_description": "item-description",
"item_tags": [
"1",
"2"
],
"item_details_url": "http://cashfree.com",
"item_image_url": "http://cashfree.com",
"item_original_unit_price": "1",
"item_discounted_unit_price": "1",
"item_quantity": 1,
"item_currency": "INR"
}
]
},
"offer": {
"offer_id": "d2b430fb-1afe-455a-af31-66d00377b29a",
"offer_status": "active",
"offer_meta": {
"offer_title": "some title",
"offer_description": "some offer description"
}
}
}{
"message": "bad URL, please check API documentation",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "something_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}Get Order Extended
Use this API to fetch the order related data like address,cart,offers,customer details etc using the Cashfreeās order_id.
When to use this API
- To get the extended data associated with order.
Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Path Parameters
The ID which uniquely identifies your order.
Response
Success response for fetching the order related data like address,cart,offers,customer details etc using the Cashfree's order_id.
unique id generated by cashfree for your order.
order_id sent during the api request.
Currency of the order. Example INR.
When the order was created at cashfree's server.
"2022-08-16T14:45:38+05:30"
Charges accociated with the order.
Show child attributes
Show child attributes
{
"shipping_charges": 5,
"cod_handling_charges": 10
}
Recent Customer details associated with the order.
Show child attributes
Show child attributes
{
"customer_id": "7112AAA812234",
"customer_email": "john@cashfree.com",
"customer_phone": "9908734801",
"customer_name": "John Doe",
"customer_uid": "54deabb4-ba45-4a60-9e6a-9c016fe7ab10"
}
Address associated with the customer.
Show child attributes
Show child attributes
{
"name": "Aditya Keshri",
"address_line_one": "MK Building",
"address_line_two": "Test Address",
"country": "India",
"country_code": "IN",
"state": "Karnataka",
"state_code": "KA",
"city": "Bangalore",
"pin_code": "560034",
"phone": "+91 1118911189",
"email": "test@cashfree.com"
}
Address associated with the customer.
Show child attributes
Show child attributes
{
"name": "Aditya Keshri",
"address_line_one": "MK Building",
"address_line_two": "Test Address",
"country": "India",
"country_code": "IN",
"state": "Karnataka",
"state_code": "KA",
"city": "Bangalore",
"pin_code": "560034",
"phone": "+91 1118911189",
"email": "test@cashfree.com"
}
The cart details that are necessary like shipping address, billing address and more.
Show child attributes
Show child attributes
Details of the offer which got applied to the paid order.
Show child attributes
Show child attributes
Was this page helpful?